#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	Date
Summary:	Manipulating timezones and parsing/formatting dates in Perl
Summary(pl.UTF-8):	Manipulowanie strefami czasowymi i analizowanie/formatowanie dat w Perlu
Name:		perl-TimeDate
Version:	2.30
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/G/GB/GBARR/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	b1d91153ac971347aee84292ed886c1c
URL:		http://search.cpan.org/dist/TimeDate/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TimeDate contains Date::Format, Date::Parse and Time::Zone.

Date::Format provides routines to format dates into ASCII strings.
They correspond to the C library routines strftime() and ctime().

Date::Parse provides two routines for parsing date strings into time
values: str2time(DATE [, ZONE]) and strptime(DATE [, ZONE]).

Time::Zone contains miscellaneous timezone manipulations routines.

%description -l pl.UTF-8
TimeDate zawiera moduły: Date::Format, Date::Parse i Time::Zone.

Date::Format dostarcza funkcje, formatujące datę w ciągi ASCII.
Funkcje te odpowiadają strftime() i ctime() z biblioteki C.

Date::Parse udostępnia dwie funkcje do zamiany ciągów ASCII na
wartości time: str2time(DATE [, ZONE]) oraz strptime(DATE [, ZONE]).

Time::Zone zawiera różne funkcje, służące do manipulowania strefami
czasowymi.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Date/Format.pm
%{perl_vendorlib}/Date/Language.pm
%{perl_vendorlib}/Date/Parse.pm
%dir %{perl_vendorlib}/Date/Language
%{perl_vendorlib}/Date/Language/*.pm
%{perl_vendorlib}/Time/Zone.pm
%{_mandir}/man3/Date::Format.3pm*
%{_mandir}/man3/Date::Language.3pm*
%{_mandir}/man3/Date::Language::Bulgarian.3pm*
%{_mandir}/man3/Date::Language::Hungarian.3pm*
%{_mandir}/man3/Date::Parse.3pm*
%{_mandir}/man3/Time::Zone.3pm*
%changelog
* Sat Jan 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-TimeDate.git;a=log;h=master

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 612dbf7
- up to 2.30

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> dc42e31
- added generic URL
- more verbose files list

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> f81e515
- Up to 1.20

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 23ea18a
- updated to 1.19

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 030f3ee
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0c9c3f6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4b08ae6
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> d7181dc
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 73f4fa3
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 13 2004 jpc <jpc@pld-linux.org> fd7245a
- corrected pl desc (inspired by Michał Kochanowicz)

* Fri May 07 2004 ankry <ankry@pld-linux.org> 6c629c7
- rel. 2

* Mon May 03 2004 ankry <ankry@pld-linux.org> 6bc7d56
- tests added, licence fix, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> bfde635
- cosmetics, license fixes

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 82be83e
- updated to 1.16

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> cd8eecc
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 830fabe
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 4b76d55
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 0e4b231
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Mar 01 2003 radek <radek@pld-linux.org> afd6830
- should be ready for perl-5.8.0; release++

* Mon Feb 24 2003 radek <radek@pld-linux.org> 445b56a
- use the __perl macro

